Bug 583791 - On i830 KMS doesn't work and the new driver has no UMS support
Summary: On i830 KMS doesn't work and the new driver has no UMS support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 13
Hardware: i686
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-19 18:04 UTC by David Gurvich
Modified: 2010-04-25 13:56 UTC (History)
2 users (show)

Fixed In Version: kernel-2.6.33.2-57.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-25 13:56:21 UTC
Type: ---


Attachments (Terms of Use)

Description David Gurvich 2010-04-19 18:04:17 UTC
Description of problem:
With modesetting there is a fluctuating black screen.  Without modesetting there is no GUI but there is a text console.

Version-Release number of selected component (if applicable):
2.10

How reproducible:
Boot any laptop with i830 graphics and a Fedora 13 livecd.

Steps to Reproduce:
1.start the laptop.
2.
3.
  
Actual results:
Fluctuating black screen

Expected results:
Xorg starts, able to use system without crashing.

Additional info:
Attempted adding the following to grub kernel line one at a time.
nomodeset,i915.modeset=0,i915.powersave=0, acpi=off
System hard locked with last two, was able to get to runlevel 3 with first two.  The livecd did work on a system with 852/855 video and seemed to run ok.

Comment 1 Fedora Update System 2010-04-20 14:06:04 UTC
kernel-2.6.33.2-57.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.33.2-57.fc13

Comment 2 David Gurvich 2010-04-20 16:18:20 UTC
KMS doesn't work on i852/855 either.  Allows booting into GUI but eventually crashes Xorg.

Comment 3 Fedora Update System 2010-04-21 02:19:16 UTC
kernel-2.6.33.2-57.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.33.2-57.fc13

Comment 4 Fedora Update System 2010-04-25 13:55:35 UTC
kernel-2.6.33.2-57.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.